﻿if ((GetLocale() == "enUS") or (LFMonitor.TEXT == nil)) then

	local BZ = LFMonitor.BZ
	local BB = LFMonitor.BB
	local l = string.lower

	--local function l(text)

	--	return string.lower(text)

	--end

-- Word matching pattern
  LFMonitor.WORD_PATTERN = "[%a%d']*%a[%a%d']*"

-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Appearance options"
	LFMonitor.TIMESTAMP = "Timestamp"
	LFMonitor.MESSAGE_TEXT = "Message text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Window"
	LFMonitor.FONT = "Font"
	LFMonitor.TIMESTAMP_FORMAT = "Timestamp format"

	if (GetCVar("locale") == "enGB") then

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colours"

	else

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colors"

	end

--profession options
	LFMonitor.SET_LOOKING_FOR = "Set the 'Looking For' professions to monitor"
	LFMonitor.PROF = "Looking for"

--responses options
	LFMonitor.RESPONSES = "Responses"
	LFMonitor.RESPONSES_TO_REQUESTS = "Responses to 'Looking For' requests"
	LFMonitor.SET_RESPONSES = "Set the responses to provide to requests"
	LFMonitor.WHISPER_ME = "Whisper me for prices"
	LFMonitor.LFG_RESPONSE = "Invite"

--general options
	LFMonitor.GENERAL_OPTIONS = "General options"
	LFMonitor.HIDE_IN_INSTANCES = "Hide in instances"
	LFMonitor.HIDE_IN_COMBAT = "Hide in combat"
	LFMonitor.SHOW_IN_CITIES = "Only show in major cities and inns"
	LFMonitor.TRADE_CHANNEL = "Only show when in Trade channel"
	LFMonitor.SOUND_ON = "Sound on"
	LFMonitor.LOCK = "Lock position and size"
	LFMonitor.CHANNELS = "Monitored channels"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Custom monitoring"
	LFMonitor.CUSTOM_INST = "Enter a word or phrase you would like monitored"
	LFMonitor.CUSTOM_BASIC = "Basic search"
	LFMonitor.CUSTOM_ADV = "Advanced search"
	LFMonitor.CUSTOM_WARNING = "The box below will accept any lua pattern matching expression. This is for advanced users only. More information on lua patterns can be found at |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "Monitor Custom Channels"

--sounds
	LFMonitor.COINS = "Coins"
	LFMonitor.WINDOW_TAB = "Window tab"
	LFMonitor.MENU_OPENING = "Menu opening"
	LFMonitor.MINIMAP_OPENING = "Minimap opening"
	LFMonitor.SPELLBOOK_OPENING = "Spellbook opening"
	LFMonitor.SPELLBOOK_CLOSING = "Spellbook closing"
	LFMonitor.TALENTS_OPENING = "Talents opening"
	LFMonitor.QUEST_LOG_OPENING = "Quest log opening"
	LFMonitor.FISHING = "Fishing"
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applause"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "Dog barking"
	LFMonitor.MOUSE_CLICK = "Mouse click"
	LFMonitor.STAPLER = "Stapler"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = "Jewelcrafting"
	LFMonitor.jctxt = {
		exact = {
			["jc"] = 1,
			["jw"] = .5},
		fuzzy = {
			["jcer"] = 1,
			["jewelcrafter"] = 1,
			["jc'er"] = 1,
			["cutter"] = .5,
			["jewel"] = .5,
			["gems"] = .75,
			["cuts"] = .75}
	}

--enchanting
	LFMonitor.ENCHANTING = "Enchanting"
	LFMonitor.enctxt = {
		exact = {},
		fuzzy = {
			["enc"] = 1,
			["enchant"] = 1,
			["enchanter"] = 1,
			["chanter"] = 1}
	}

--leatherworking
	LFMonitor.LEATHERWORKING = "Leatherworking"
	LFMonitor.lwtxt = {
		exact = {
			["lw"] = 1},
		fuzzy = {
			["lwer"] = 1,
			["leatherworker"] = 1}
	}

--inscription
	LFMonitor.INSCRIPTION = "Inscription"
	LFMonitor.instxt = {
		exact = {},
		fuzzy = {
			["ins"] = 1,
			["inscriptions"] = 1,
			["inscriber"] = 1,
			["inscriptor"] = 1,
			["scribe"] = 1}
	}

--tailoring
	LFMonitor.TAILORING = "Tailoring"
	LFMonitor.tlrtxt = {
		exact = {},
		fuzzy = {
			["tlr"] = 1,
			["tailor"] = 1,
			["tailoring"] = 1}
	}

--blacksmithing
	LFMonitor.BLACKSMITHING = "Blacksmithing"
	LFMonitor.bstxt = {
		exact = {
			["bs"] = 1},
		fuzzy = {
			["blacksmith"] = 1,
			["armorsmith"] = 1,
			["weaponsmith"] = 1}
	}

--alchemy
    LFMonitor.ALCHEMY = "Alchemy"
	LFMonitor.alctxt = {
		exact = {},
		fuzzy = {
			["alc"] = 1,
			["alchemist"] = 1,
			["potion"] = 1,
			["elixir"] = 1,
			["transmutation"] = 1,
			["xmute"] = 1}
	}

--engineering
	LFMonitor.ENGINEERING = "Engineering"
	LFMonitor.engtxt = {
		exact = {},
		fuzzy = {
			["eng"] = 1,
			["engineer"] = 1,
			["engi"] = 1}
	}

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "All 'Want to buy' requests"
	LFMonitor.wtbtxt = {
		exact = {},
		fuzzy = {
			["wtb"] = 1,
			["want"] = 0.5,
			["buy"] = 0.5,
			["buying"] = 1}
	}

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "All 'Want to sell' requests"
	LFMonitor.wtstxt = {
		exact = {},
		fuzzy = {
			["wts"] = 1,
			["want"] = 0.5,
			["sell"] = 0.5,
			["selling"] = 1}
	}

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "All 'Looking for group' requests"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "All 'Looking for crafter' requests"
	LFMonitor.GENERAL_LF_REQUESTS = "General 'Looking for' requests"
	LFMonitor.lftxt = {
		exact = {
			["lf"] = 1,
		},
		fuzzy = {
			["looking"] = 0.75,
			["any"] = 0.75,
			["wtb"] = 0.5}
	}
	LFMonitor.misctxt = {
		exact = {},
		fuzzy = {
			["crafter"] = 1,
			["craft"] = 1}
	}

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "All 'Looking for work' requests"
	LFMonitor.lfwtxt = {
		exact = {},
		fuzzy = {
			["lfw"] = 1,
			["looking"] = 0.5,
			["crafting"] = 1,
			["cutting"] = 1,
			["work"] = 0.75}
	}

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "All 'Looking for more' requests"
	LFMonitor.LFM_OPTIONS = "'Looking For More' options"
	LFMonitor.LFM_LIMIT = "Show LFM only for these classes:"
	LFMonitor.LFM_ROLE_LIMIT = "And these roles:"
	LFMonitor.lfmtxt = {
		exact = {
			["lf"] = 0.75,
			["lf1"] = 1,
			["lf2"] = 1,
			["lf3"] = 1,
			["lf4"] = 1,
			["lf5"] = 1,
			["lf6"] = 1,
			["lf7"] = 1,
			["lf8"] = 1,
			["lf9"] = 1,
			["lf2m"] = 1,
			["lf3m"] = 1,
			["lf4m"] = 1,
			["lf5m"] = 1,
			["lf6m"] = 1,
			["lf7m"] = 1,
			["lf8m"] = 1,
			["lf9m"] = 1,
			["lfg"] = 0},
		fuzzy = {
			["partner"] = 0.5,
			["lfm"] = 1,
			["lf1m"] = 1,
			["looking"] = 0.75}
	}
	LFMonitor.lfgtxt = {
		exact = {
			["lf"] = 0.75,
			["lfm"] = 0},
		fuzzy = {
			["lfg"] = 1,
			["looking"] = 0.75,
			["group"] = 0.5,
			["partner"] = 0.5,
			["raid"] = 0.5}
	}

	LFMonitor.IGNORE_RAID = "Ignore raid settings"

--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Autoreply"
	LFMonitor.SEND_AUTO = "Send your autoresponse to %s"
	LFMonitor.IGNORE_LIST = "Add %s to your ignore list"
	LFMonitor.CLOSE_MENU = "Close this menu"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Cannot send an autoreponse - nothing to reply with!"
	LFMonitor.RESET_CONFIRM = "The will reset ALL LFMonitor's settings. Are you sure?"

--classes
	LFMonitor.classes = {
		["dk"] = {
			name = "Death Knight",
			exact = {
				["dk"] = 1
			},
			fuzzy = {
				["death"] = 0.5,
				["knight"] = 0.5,
				["deathknight"] = 1,
				["dks"] = 1
		}},
		["dr"] = {
			name = "Druid",
			exact = {},
			fuzzy = {
				["druid"] = 1,
				["drood"] = 1,
				["feral"] = 1,
				["bear"] = 1,
				["cat"] = 1,
				["kitty"] = 1,
				["boomkin"] = 1,
				["balance"] = 1,
				["resto"] = 0.5,
				["restoration"] = 0.5
		}},
		["hu"] = {
			name = "Hunter",
			exact = {},
			fuzzy = {
				["hunter"] = 1,
				["huntard"] = 1
		}},
		["ma"] = {
			name = "Mage",
			exact = {},
			fuzzy = {
				["mage"] = 1,
				["mag"] = -1
		}},
		["pa"] = {
			name = "Paladin",
			exact = {},
			fuzzy = {
				["paladin"] = 1,
				["pally"] = 1,
				["pala"] = 1,
				["holy"] = 0.5,
				["retribution"] = 1,
				["ret"] = 1,
				["protection"] = 0.5,
				["prot"] = 0.5
		}},
		["pr"] = {
			name = "Priest",
			exact = {},
			fuzzy = {
				["priest"] = 1,
				["holy"] = 0.5,
				["discipline"] = 1,
				["disc"] = 1,
				["shadow"] = 1,
				["shad"] = 1
		}},
		["ro"] = {
			name = "Rogue",
			exact = {},
			fuzzy = {
				["rogue"] = 1,
				["rog"] = 1
		}},
		["sh"] = {
			name = "Shaman",
			exact = {},
			fuzzy = {
				["shaman"] = 1,
				["shammy"] = 1,
				["elemental"] = 1,
				["ele"] = 1,
				["enhance"] = 1,
				["enh"] = 1,
				["resto"] = 0.5,
				["restoration"] = 0.5
		}},
		["wa"] = {
			name = "Warlock",
			exact = {},
			fuzzy = {
				["warlock"] = 1,
				["lock"] = 0.75
		}},
		["wr"] = {
			name = "Warrior",
			exact = {},
			fuzzy = {
				["warrior"] = 1,
				["warr"] = 1,
				["arms"] = 1,
				["fury"] = 1,
				["protection"] = 0.5,
				["prot"] = 0.5
		}}
	}
	LFMonitor.roles = {
		["tank"] = {
			name = "Tank / Flag Carrier",
			exact = {
				["ot"] = 1,
				["fc"] = 1,
				["mt"] = 1
			},
			fuzzy = {
				["tank"] = 1,
				["maintank"] = 1,
				["offtank"] = 1,
				["flag"] = 0.5,
				["carrier"] = 0.5,
				["tanks"] = 1
		}},
		["healer"] = {
			name = "Healer",
			exact = {},
			fuzzy = {
				["healer"] = 1,
				["healers"] = 1,
				["heals"] = 1
		}},
		["melee"] = {
			name = "Melee Damage",
			exact = {},
			fuzzy = {
				["melee"] = 1,
				["mdps"] = 1,
				["rdps"] = -1,
				["dps"] = 1,
				["deeps"] = 1,
				["dpser"] = 1,
				["damage"] = 1
		}},
		["ranged"] = {
			name = "Ranged Damage",
			exact = {},
			fuzzy = {
				["ranged"] = 1,
				["rdps"] = 1,
				["mdps"] = -1,
				["dps"] = 1,
				["deeps"] = 1,
				["dpser"] = 1,
				["damage"] = 1
		}},
		["cc"] = {
			-- uses lower strength values because it's not a primary role
			name = "Crowd Control",
			exact = {
				["cc"] = 0.5},
			fuzzy = {
				["crowd"] = 0.25,
				["control"] = 0.25
		}},
		["all"] = {
			suppressCheckbox = true,
			default = 1,
			exact = {},
			fuzzy = {
				["need"] = 0.5,
				["all"] = 0.5,
				["everything"] = 1,
				["anything"] = 0.5,
				["anyone"] = 0.75
		}}
	}

	--raids
	LFMonitor.RAIDTITLE = "Set the instances to monitor"

	LFMonitor.RAIDS = {
		{rname = "Rated Battlegrounds", level = 85,
			exact = {
				["bg"] = 0.5,
				["fc"] = 0.5
			},
			fuzzy = {
				["rbg"] = 1,
				["rbgs"] = 1,
				["bgs"] = 0.5,
				["rated"] = 1,
				["flag"] = 0.5,
				["carrier"] = 0.5
		}},
		{rname = "Arenas", level = 85,
			exact = {
				["2s"] = 1,
				["3s"] = 1,
				["5s"] = 1
			},
			fuzzy = {
				["2's"] = 1,
				["2v2"] = 1,
				["3's"] = 1,
				["3v3"] = 1,
				["5's"] = 1,
				["5v5"] = 1,
				["conquest"] = 0.5,
				["points"] = 0.5,
				["arena"] = 1,
				["arenas"] = 1,
				["comp"] = 0.75,
				["rmp"] = 0.75,
				["cleave"] = 0.75
		}},
		{rname = BZ["Firelands"], level = 85,
			exact = {
				["fl"] = 1
			},
			fuzzy = {
				["firelands"] = 1,
				[l(BB["Shannox"])] = 1,
				["beth"] = 1,
				[l(BB["Beth'tilac"])] = 1,
				["alys"] = 1,
				[l(BB["Alysrazor"])] = 1,
				["rhyo"] = 1,
				["rhyolith"] = 1,
				[l(BB["Baleroc"])] = 1,
				["bal"] = 0.75,
				["staghelm"] = 1,
				["majordomo"] = 0.75,
				["domo"] = 0.75,
				["rag"] = 0.75,
				[l(BB["Ragnaros"])] = 0.75
		}},
		{rname = BZ["Baradin Hold"], level = 85,
			exact = {
				["bh"] = 1,
				["bh20"] = 1,
			},
			fuzzy = {
				["baradin"] = 1,
				["bh10"] = 1,
				["bh25"] = 1,
				[l(BB["Argaloth"])] = 1,
				[l(BB["Occu'thar"])] = 1,
				["arg"] = 1,
				["occu"] = 1,
		}},
		{rname = BZ["Blackwing Descent"], level = 85,
			exact = {},
			fuzzy = {
				["blackwing"] = 0.75,
				["bwd"] = 1,
				["bwd10"] = 1,
				["bwd25"] = 1,
				[l(BB["Magmaw"])] = 1,
				[l(BB["Maloriak"])] = 1,
				[l(BB["Chimaeron"])] = 1,
				["omnotron"] = 1,
				[l(BB["Atramedes"])] = 1,
				[l(BB["Nefarian"])] = 0.75,
				["nef"] = 0.75
		}},
		{rname = BZ["The Bastion of Twilight"], level = 85,
			exact = {},
			fuzzy = {
				["bot"] = 1,
				["bot10"] = 1,
				["bot25"] = 1,
				["bastion"] = 1,
				["halfus"] = 1,
				["ascendant"] = 1,
				["valiona"] = 1,
				["theralion"] = 1,
				["ther"] = 1,
				["val"] = 1,
				[l(BB["Cho'gall"])] = 1,
				["cho"] = 1,
				[l(BB["Sinestra"])] = 1
		}},
		{rname = BZ["Throne of the Four Winds"], level = 85,
			exact = {},
			fuzzy = {
				["throne"] = 1,
				["tfw"] = 1,
				["tfw10"] = 1,
				["tfw25"] = 1,
				["to4w"] = 1,
				["conclave"] = 1,
				[l(BB["Al'Akir"])] = 1
		}},
		{rname = BZ["The Eye of Eternity"], level = 80,
			exact = {},
			fuzzy = {
				["eoe10"] = 1,
				["eoe25"] = 1,
				["eoe"] = 1,
				["maly"] = 1,
				["eye"] = 0.5,
				["eternity"] = 0.5,
				[l(BB["Malygos"])] = 1
		}},
		{rname = BZ["Icecrown Citadel"], level = 80,
			exact = {
				["lk"] = 1
			},
			fuzzy = {
				["icc10"] = 1,
				["icc25"] = 1,
				["icc"] = 1,
				["icecrown"] = 0.5,
				["citadel"] = 0.5,
				["marrowgar"] = 1,
				["deathwhisper"] = 1,
				["gunship"] = 1,
				["saurfang"] = 1,
				[l(BB["Rotface"])] = 1,
				[l(BB["Festergut"])] = 1,
				["putricide"] = 1,
				["princes"] = 0.5,
				["queen"] = 0.5,
				["dreamwalker"] = 1,
				[l(BB["Sindragosa"])] = 1,
				["lich"] = 1
		}},
		{rname = BZ["Naxxramas"], level = 80,
			exact = {},
			fuzzy = {
				[l(BZ["Naxxramas"])] = 1,
				["naxx10"] = 1,
				["naxx25"] = 1,
				["naxx"] = 1,
				[l(BB["Anub'Rekhan"])] = 1,
				["faerlina"] = 1,
				[l(BB["Maexxna"])] = 1,
				["razuvious"] = 1,
				["gothik"] = 1,
				["horsemen"] = 1,
				[l(BB["Patchwerk"])] = 1,
				[l(BB["Grobbulus"])] = 1,
				[l(BB["Gluth"])] = 1,
				[l(BB["Thaddius"])] = 1,
				["noth"] = 1,
				["heigan"] = 1,
				[l(BB["Loatheb"])] = 1,
				[l(BB["Sapphiron"])] = 1,
				[l(BB["Kel'Thuzad"])] = 1
		}},
		{rname = BZ["Onyxia's Lair"], level = 80,
			exact = {
				["only"] = 0.5
			},
			fuzzy = {
				[l(BB["Onyxia"])] = 1,
				["ony10"] = 1,
				["ony25"] = 1,
				["ony"] = 1
		}},
		{rname = BZ["The Obsidian Sanctum"], level = 80,
			exact = {
				["os"] = 0.5
			},
			fuzzy = {
				["os3d"] = 1,
				["sarth"] = 1,
				[l(BB["Sartharion"])] = 1
		}},
		{rname = BZ["The Ruby Sanctum"], level = 80,
			exact = {
				["rs"] = 1
			},
			fuzzy = {
				["rs10"] = 1,
				["rs25"] = 1,
				[l(BB["Halion"])] = 1
		}},
		{rname = BZ["Trial of the Crusader"], level = 80,
			exact = {},
			fuzzy = {
				["toc"] = 1,
				["toc10"] = 1,
				["togc"] = 1,
				["tgc"] = 1,
				["beasts"] = 0.75,
				["champs"] = 0.75,
				["jaraxxus"] = 1,
				["twins"] = 0.75,
				["anub"] = 1,
				[l(BB["Anub'arak"])] = 1
		}},
		{rname = BZ["Ulduar"], level = 80,
			exact = {},
			fuzzy = {
				[l(BZ["Ulduar"])] = 1,
				["uld"] = 1,
				["uld10"] = 1,
				["uld25"] = 1,
				["leviathan"] = 1,
				["ignis"] = 1,
				[l(BB["Razorscale"])] = 1,
				["deconstructor"] = 1,
				["assembly"] = 1,
				[l(BB["Kologarn"])] = 1,
				[l(BB["Auriaya"])] = 1,
				[l(BB["Mimiron"])] = 1,
				[l(BB["Freya"])] = 1,
				[l(BB["Thorim"])] = 1,
				[l(BB["Hodir"])] = 1,
				["vezax"] = 1,
				["yogg"] = 1,
				["algalon"] = 1,
				["alg"] = 1
		}},
		{rname = BZ["Vault of Archavon"], level = 80,
			exact = {},
			fuzzy = {
				["voa"] = 1,
				["voa25"] = 1,
				["voa10"] = 1,
				["archavon"] = 1,
				["koralon"] = 1,
				["emalon"] = 1,
				["toravon"] = 1
		}},
		{rname = BZ["Mount Hyjal"], level = 70,
			exact = {},
			fuzzy = {
				[l(BZ["Hyjal"])] = 1,
				["bmj"] = 1,
				["bmj25"] = 1,
				["winterchill"] = 1,
				["anetheron"] = 1,
				["kaz'rogal"] = 1,
				["azgalor"] = 1,
				["archimonde"] = 1
		}},
		{rname = BZ["Black Temple"], level = 70,
			exact = {
				["bt"] = 0.75
			},
			fuzzy = {
				["temple"] = 0.75,
				["bt25"] = 1,
				["naj'entus"] = 1,
				[l(BB["Supremus"])] = 1,
				["akama"] = 1,
				["gorefiend"] = 1,
				["bloodboil"] = 1,
				["reliquary"] = 1,
				["shahraz"] = 1,
				["illidari"] = 1
		}},
		{rname = BZ["Gruul's Lair"], level = 70,
			exact = {},
			fuzzy = {
				["gruul"] = 1,
				["gl25"] = 1,
				["maulgar"] = 1
		}},
		{rname = BZ["Karazhan"], level = 70,
			exact = {
				["kz"] = 1
			},
			fuzzy = {
				[l(BZ["Karazhan"])] = 1,
				["kara"] = 1,
				["kara10"] = 1,
				["kz10"] = 1,
				["attumen"] = 1,
				["virtue"] = 1,
				[l(BB["Moroes"])] = 1,
				["opera"] = 1,
				[l(BB["Nightbane"])] = 1,
				["curator"] = 1,
				["illhoof"] = 1,
				["aran"] = 1,
				[l(BB["Netherspite"])] = 1,
				["chess"] = 1,
				["malchezaar"] = 1
		}},
		{rname = BZ["Magtheridon's Lair"], level = 70,
			exact = {
				["ml"] = 1,
				["mage"] = 0
			},
			fuzzy = {
				["mag25"] = 1,
				["mag"] = 1,
				["mage"] = -1,
				[l(BB["Magtheridon"])] = 1,
				["ml25"] = 1,
		}},
		{rname = BZ["Serpentshrine Cavern"], level = 70,
			exact = {},
			fuzzy = {
				["serpentshrine"] = 1,
				["ssc25"] = 1,
				["ssc"] = 1,
				["hydross"] = 1,
				["lurker"] = 0.75,
				["leotheras"] = 1,
				["karathress"] = 1,
				["tidewalker"] = 1,
				["vashj"] = 0.75
		}},
		{rname = BZ["Sunwell Plateau"], level = 70,
			exact = {},
			fuzzy = {
				["sunwell"] = 1,
				[l(BB["Kalecgos"])] = 1,
				["sathrovarr"] = 1,
				[l(BB["Brutallus"])] = 1,
				[l(BB["Felmyst"])] = 1,
				["eredar"] = 1,
				[l(BB["M'uru"])] = 1,
				[l(BB["Entropius"])] = 1,
				[l(BB["Kil'jaeden"])] = 1
		}},
		{rname = BZ["Tempest Keep"], level = 70,
			exact = {
				["tk"] = 1
			},
			fuzzy = {
				["tempest"] = 1,
				["tk25"] = 1,
				[l(BB["Al'ar"])] = 1,
				["reaver"] = 1,
				["solarian"] = 1,
				["kael'thas"] = 1,
				["kael"] = 1,
				["sunstrider"] = 1
		}},
		{rname = BZ["Zul'Aman"], level = 85,
			exact = {
				["za"] = 1
			},
			fuzzy = {
				[l(BZ["Zul'Aman"])] = 1,
				[l(BB["Nalorakk"])] = 1,
				[l(BB["Akil'zon"])] = 1,
				["jen'alai"] = 1,
				[l(BB["Halazzi"])] = 1,
				["malacrass"] = 1,
				[l(BB["Zul'jin"])] = 1,
				["troll"] = 0.5,
				["zandalari"] = 1
		}},
		{rname = BZ["Blackwing Lair"], level = 60,
			exact = {},
			fuzzy = {
				["blackwing"] = 0.5,
				["lair"] = 0.5,
				["bwl"] = 1,
				["bwl40"] = 1,
				["razorgore"] = 1,
				["vaelastrasz"] = 1,
				["lashlayer"] = 1,
				[l(BB["Firemaw"])] = 1,
				[l(BB["Ebonroc"])] = 1,
				[l(BB["Flamegor"])] = 1,
				[l(BB["Chromaggus"])] = 1,
				[l(BB["Nefarian"])] = 0.5
		}},
		{rname = BZ["Molten Core"], level = 60,
			exact = {
				["mc"] = 1
			},
			fuzzy = {
				["molten"] = 0.75,
				["core"] = 0.5,
				["mc40"] = 1,
				[l(BB["Lucifron"])] = 1,
				[l(BB["Magmadar"])] = 1,
				[l(BB["Gehennas"])] = 1,
				[l(BB["Garr"])] = 1,
				["geddon"] = 1,
				[l(BB["Shazzrah"])] = 1,
				["sulfuron"] = 1,
				["golemagg"] = 1,
				["majordomo"] = 0.5,
				["domo"] = 0.5,
				["executus"] = 1,
				["exec"] = 0.75,
				[l(BB["Ragnaros"])] = 0.5,
				["rag"] = 0.5
		}},
		{rname = BZ["Ruins of Ahn'Qiraj"], level = 60,
			exact = {
				["aq"] = 0.5
			},
			fuzzy = {
				[l(BZ["Ahn'Qiraj"])] = 0.5,
				["ruins"] = 0.5,
				["aq"] = 0.5,
				["aq20"] = 1,
				["aq10"] = 1,
				[l(BB["Kurinnaxx"])] = 1,
				["rajaxx"] = 1,
				[l(BB["Moam"])] = 1,
				["buru"] = 1,
				["ayamiss"] = 1,
				["ossirian"] = 1
		}},
		{rname = BZ["Temple of Ahn'Qiraj"], level = 60,
			exact = {
				["aq"] = 0.5
			},
			fuzzy = {
			["temple"] = 0.5,
			[l(BZ["Ahn'Qiraj"])] = 0.5,
			["aq40"] = 1,
			["skeram"] = 1,
			["sartura"] = 1,
			["fankriss"] = 1,
			[l(BB["Viscidus"])] = 1,
			["huhuran"] = 1,
			["emperors"] = 0.75,
			["sandworm"] = 1,
			[l(BB["C'Thun"])] = 1,
			[l(BB["Ouro"])] = 1
		}},
		{rname = BZ["Zul'Gurub"], level = 85,
			exact = {
				["zg"] = 1
			},
			fuzzy = {
				[l(BZ["Zul'Gurub"])] = 1,
				["jeklik"] = 1,
				["venoxis"] = 1,
				["mar'li"] = 1,
				["thekal"] = 1,
				["arlokk"] = 1,
				["soulflayer"] = 1,
				["mandokir"] = 1,
				["hexxer"] = 1,
				[l(BB["Gahz'ranka"])] = 1,
				["madness"] = 1,
				["troll"] = 0.5,
				["zandalari"] = 1
		}},
		{rname = BZ["Upper Blackrock Spire"], level = 56,
			exact = {},
			fuzzy = {
				["blackrock"] = 0.75,
				["ubrs"] = 1,
				["ubrs10"] = 1,
				["emberseer"] = 1,
				["flamewreath"] = 1,
				["goraluk"] = 1,
				["jed"] = 1,
				["gyth"] = 1,
				["blackhand"] = 1,
				["valthalak"] = 1,
				["drakkisath"] = 1
		}}
	}

end
